﻿/**Begin D:\PDM_UPGRADE\PDM1\QCPP_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCPP_INSPBILL', 'T_QCPP_INSPBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPBILL_FBILLNO') CREATE INDEX IDX_QCPP_INSPBILL_FBILLNO ON T_QCPP_INSPBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPBILL_FCREATETIME') CREATE INDEX IDX_QCPP_INSPBILL_FCREATETIME ON T_QCPP_INSPBILL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCPP_INSPBILL_L', 'T_QCPP_INSPBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPBILL_FID') CREATE INDEX IDX_QCPP_INSPBILL_FID ON T_QCPP_INSPBILL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPBILL_FCOMMENT') CREATE INDEX IDX_QCPP_INSPBILL_FCOMMENT ON T_QCPP_INSPBILL_L ( FCOMMENT );


 EXEC P_ALTERPK 'PK_QCPP_INSPENTRY', 'T_QCPP_INSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPRY_FID') CREATE INDEX IDX_QCPP_INSPRY_FID ON T_QCPP_INSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPRY_FSEQ') CREATE INDEX IDX_QCPP_INSPRY_FSEQ ON T_QCPP_INSPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCPP_INSPENTRY_L', 'T_QCPP_INSPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPRYL_FENTRYID') CREATE INDEX IDX_QCPP_INSPRYL_FENTRYID ON T_QCPP_INSPENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPRYL_FSUBCOMMENT') CREATE INDEX IDX_QCPP_INSPRYL_FSUBCOMMENT ON T_QCPP_INSPENTRY_L ( FSUBCOMMENT );


 EXEC P_ALTERPK 'PK_QCPP_INSPSUBRESPROJ', 'T_QCPP_INSPSUBRESPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPOJ_FENTRYID') CREATE INDEX IDX_QCPP_INSPOJ_FENTRYID ON T_QCPP_INSPSUBRESPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPOJ_FSEQ') CREATE INDEX IDX_QCPP_INSPOJ_FSEQ ON T_QCPP_INSPSUBRESPROJ ( FSEQ );


 EXEC P_ALTERPK 'PK_QCPP_INSPSUBRESPROJ_L', 'T_QCPP_INSPSUBRESPROJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPOJL_FDETAILID') CREATE INDEX IDX_QCPP_INSPOJL_FDETAILID ON T_QCPP_INSPSUBRESPROJ_L ( FDETAILID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPOJL_COMMENT') CREATE INDEX IDX_QCPP_INSPOJL_COMMENT ON T_QCPP_INSPSUBRESPROJ_L ( FINSPECCOMMENT );


 EXEC P_ALTERPK 'PK_QCPP_INSPSUBRESRELA', 'T_QCPP_INSPSUBRESRELA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPLA_FENTRYID') CREATE INDEX IDX_QCPP_INSPLA_FENTRYID ON T_QCPP_INSPSUBRESRELA ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPLA_FSEQ') CREATE INDEX IDX_QCPP_INSPLA_FSEQ ON T_QCPP_INSPSUBRESRELA ( FSEQ );


 EXEC P_ALTERPK 'PK_QCPP_INSPSUBRESSAMP', 'T_QCPP_INSPSUBRESSAMP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPMP_FENTRYID') CREATE INDEX IDX_QCPP_INSPMP_FENTRYID ON T_QCPP_INSPSUBRESSAMP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPMP_FSEQ') CREATE INDEX IDX_QCPP_INSPMP_FSEQ ON T_QCPP_INSPSUBRESSAMP ( FSEQ );



/**End D:\PDM_UPGRADE\PDM1\QCPP_constraint.sql **/
