﻿/**Begin D:\PDM_UPGRADE\PDM1\QCPP_constraint.sql **/

 EXEC P_ALTERPK 'PK_QCPP_INSPAPPLYPROJ', 'T_QCPP_INSPAPPLYPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPAPP_FENTRYID') CREATE INDEX IDX_QCPP_INSPAPP_FENTRYID ON T_QCPP_INSPAPPLYPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_INSPAPP_FSEQ') CREATE INDEX IDX_QCPP_INSPAPP_FSEQ ON T_QCPP_INSPAPPLYPROJ ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCPP_JOININSPECT', 'T_QCPP_JOININSPECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINCT_FBILLNO') CREATE INDEX IDX_QCPP_JOINCT_FBILLNO ON T_QCPP_JOININSPECT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINCT_FCREATETIME') CREATE INDEX IDX_QCPP_JOINCT_FCREATETIME ON T_QCPP_JOININSPECT ( FCREATETIME );
 
 
 
 EXEC P_ALTERPK 'PK_QCPP_JOININSPENTRY', 'T_QCPP_JOININSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINRY_FID') CREATE INDEX IDX_QCPP_JOINRY_FID ON T_QCPP_JOININSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINRY_FSEQ') CREATE INDEX IDX_QCPP_JOINRY_FSEQ ON T_QCPP_JOININSPENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINRY_FMAT') CREATE INDEX IDX_QCPP_JOINRY_FMAT ON T_QCPP_JOININSPENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINRY_FMATCFG') CREATE INDEX IDX_QCPP_JOINRY_FMATCFG ON T_QCPP_JOININSPENTRY ( FMATERIALCFGID );
 
 
 EXEC P_ALTERPK 'PK_QCPP_JOININSPPROJ', 'T_QCPP_JOININSPPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINOJ_FENTRYID') CREATE INDEX IDX_QCPP_JOINOJ_FENTRYID ON T_QCPP_JOININSPPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINOJ_FSEQ') CREATE INDEX IDX_QCPP_JOINOJ_FSEQ ON T_QCPP_JOININSPPROJ ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCPP_JOININSPRELA_N', 'T_QCPP_JOININSPRELA_N', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINLA_FENTRYID') CREATE INDEX IDX_QCPP_JOINLA_FENTRYID ON T_QCPP_JOININSPRELA_N ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINLA_FSEQ') CREATE INDEX IDX_QCPP_JOINLA_FSEQ ON T_QCPP_JOININSPRELA_N ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCPP_JOININSPSAMP_N', 'T_QCPP_JOININSPSAMP_N', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINMP_FENTRYID') CREATE INDEX IDX_QCPP_JOINMP_FENTRYID ON T_QCPP_JOININSPSAMP_N ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINMP_FSEQ') CREATE INDEX IDX_QCPP_JOINMP_FSEQ ON T_QCPP_JOININSPSAMP_N ( FSEQ );


/**End D:\PDM_UPGRADE\PDM1\QCPP_constraint.sql **/
